@import '~@guildion/next/styles/component.module.scss';

.container {
  width: 100%;
  height: 100%;
  padding: 12px 0px;
  // background: var(--background-most);
  position: relative;
  overflow: hidden;
  &-inner {
    width: 100%;
    height: 100%;
  }
  &-back {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: -1;
    background: var(--background-subm1);
  }
}

.premium {
  padding: 75px 20px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  margin-left: auto;
  margin-right: auto;
  max-width: 1080px;
  width: calc(100% - 40px);
  @include mq-down(lg) {
    flex-direction: column;
  }
  @include mq-down(lg) {
    height: 700px;
  }
  @include mq-down(fm) {
    height: 600px;
  }
  &-left {
    width: 480px;
    @include mq-down(lg) {
      max-width: 480px;
      width: 100%;
    }
    &_title {
      width: 100%;
      font-size: 48px;
      font-family: var(--default-font-family);
      color: var(--element-default);
      text-align: left;
      font-weight: bold;
      line-height: 64px;
      @include mq-down(fm) {
        font-size: 32px;
      }
      @include mq-down(sm) {
        font-size: 28px;
      }
    }
    &_description {
      width: 100%;
      margin-top: 10px;
      margin-bottom: 12px;
      font-size: 20px;
      font-family: var(--default-font-family);
      color: var(--element-subp1);
      text-align: left;
      line-height: 32px;
      display: block;
      @include mq-down(fm) {
        font-size: 16px;
      }
    }
    &_link {
      display: flex;
      justify-content: flex-start;
      align-items: center;
      gap: 8px;
      @include make-transition;
      &:hover {
        opacity: .7;
      }
      &-text {
        font-size: 20px;
        font-family: var(--default-font-family);
        color: var(--element-link);
        text-align: left;
        line-height: 32px;
        @include mq-down(fm) {
          font-size: 16px;
        }
      }
    }
  }
  &-right {
    width: 500px;
    position: relative;
    margin-left: 12px;
    @include mq-down(lg) {
      margin-top: 44px;
      max-width: 500px;
      width: 100%;
    }
    &_device1 {
      transform: rotate(-4deg);
    }
    &_device2 {
      position: absolute;
      top: 22px;
      left: 200px;
      transform: rotate(12deg);
      @include mq-down(fm) {
        left: 140px;
      }
    }
  }
}